session
Post apiv1sessionview as
POST
/
api
/
v1
/
session
/
view-as
cURL
curl --request POST \
--url https://tessera.edstratumlabs.ai/api/v1/session/view-as \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/session/view-as"
payload = { "userId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://tessera.edstratumlabs.ai/api/v1/session/view-as', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"role": "administrator",
"initials": "<string>",
"profile": {
"goals": [
"finish-degree"
],
"goalNote": "<string>",
"weeklyMinutes": 1200,
"language": "<string>",
"readingLevel": "standard",
"accessibility": {
"captions": true,
"reducedMotion": true,
"largerText": true,
"screenReader": true
},
"reminders": "off",
"completedAt": "<string>",
"sessionMinutes": 122
}
},
"institution": {
"id": "<string>",
"name": "<string>",
"shortName": "<string>",
"accent": "teal",
"setupComplete": true,
"policy": {
"aiAuthoring": true,
"tutorModes": {
"graded": [
"off"
],
"practice": [
"off"
]
}
},
"accessPolicy": {
"minimumScore": 50,
"blockingSeverities": [
"critical"
]
}
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}⌘I
cURL
